drama.shaders = {};
drama.shaders["blacknwhite"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp float threshold;\n\nvoid main(void)\n{	lowp vec4 front = texture2D(samplerFront, vTex);	lowp float gray = front.r * 0.299 + front.g * 0.587 + front.b * 0.114;	if (gray < threshold)\n		gl_FragColor = vec4(0.0, 0.0, 0.0, front.a);\n	else\n		gl_FragColor = vec4(front.a, front.a, front.a, front.a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["threshold",0,1]]
};
